#include<iostream>
using namespace std;
int main()
{
    int x, y, a, b;
    cin >> a >> b >> x >> y;
    if(x<a && y==b){
        cout << "prvi";
        return 0;
    }
    else if(x==a && y < b){
        cout << "drugi";
        return 0;
    }
    else if(x==a && y == b){
        cout << "nijedan";
        return 0;
    }
    else if(x<a && y<b){
        cout << "?";
        return 0;
    }
    return 0;
}